Windows Server 2016 Standard IIS 10.0.14393.0 upgrade

49885604 145 Reputation points
2023-10-18T13:00:23.99+00:00

Hi everyone,

I would need to upgrade the IIS version to a later version. What KB or procedure can I follow to complete this task?

I cannot find the correct KB in the MS Catalog.

Thank you in advance and for your support.

Below are the installed KBs:

PS C:\Users\adm.ac1vagnaal> get-hotfix

Source Description HotFixID InstalledBy InstalledOn


Update KB4049065 NT AUTHORITY\SYSTEM 2/2/2018 12:00:00 AM

Update KB4054590 GROUP\adm.ac1dicesda 2/28/2022 12:00:00 AM

Update KB4486129 GROUP\adm.ac1vagnaal 10/18/2023 12:00:00 AM

Security Update KB4535680 NT AUTHORITY\SYSTEM 8/26/2021 12:00:00 AM

Update KB4589210 NT AUTHORITY\SYSTEM 8/26/2021 12:00:00 AM

Security Update KB5001402 NT AUTHORITY\SYSTEM 8/26/2021 12:00:00 AM

Security Update KB5005698 NT AUTHORITY\SYSTEM 1/11/2022 12:00:00 AM

Security Update KB5017396 NT AUTHORITY\SYSTEM 1/5/2023 12:00:00 AM

Security Update KB5023788 NT AUTHORITY\SYSTEM 6/21/2023 12:00:00 AM

Security Update KB5026363 NT AUTHORITY\SYSTEM 6/21/2023 12:00:00 AM

Internet Information Services
Windows Server 2016
Windows Server 2016
A Microsoft server operating system that supports enterprise-level management updated to data storage.
2,395 questions
ASP.NET
ASP.NET
A set of technologies in the .NET Framework for building web applications and XML web services.
3,301 questions
.NET Runtime
.NET Runtime
.NET: Microsoft Technologies based on the .NET software framework.Runtime: An environment required to run apps that aren't compiled to machine language.
1,130 questions
{count} votes

1 answer

Sort by: Most helpful
  1. Lex Li (Microsoft) 4,742 Reputation points Microsoft Employee
    2023-10-18T16:03:56.3366667+00:00

    Can you be more specific on what you wanted to achieve? IIS is part of the Windows Server release (like 2016) you are using, so you cannot upgrade it without upgrading to a newer Windows Server release (2019 or 2022). Windows Update will notify you if any update is needed and you just need to apply those for the operating system itself.

    0 comments No comments